#pragma once

#include <bits/stdc++.h>
#include "testlib.h"

#include "limits.h"

const int LETTERS = 26;

std::string genString() {
    int len = rnd.next(1, LEN);
    std::string res(len, '?');
    for (char& ch : res) {
        ch = char('a' + rnd.next(LETTERS));
    }
    return res;
}

std::vector<std::string> genStrings(int n) {
    std::vector<std::string> res(n);
    std::set<std::string> used;
    for (auto& s : res) {
        do {
            s = genString();
        } while (!used.insert(s).second);
    }
    return res;
}
